------------------------------------------------------------------------------------
--Name:  	yurenjie1
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-03-06
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(223, 174)
CppScriptMgr:ShakeScrEffect(1)
CppScriptMgr:SetViewScale(200)
local Player_1 = CppScriptMgr:AddPlayer(237, 220, 181, "", 0, 0)
Player_1:RunTo(204, 199)
local Player_2 = CppScriptMgr:AddPlayer(849, 227, 180, "", 0, 0)
Player_2:RunTo(235, 236)
local Player_3 = CppScriptMgr:AddPlayer(156, 228, 168, "", 0, 0)
Player_3:RunTo(240, 157)
local Player_4 = CppScriptMgr:AddPlayer(231, 230, 177, "", 0, 0)
Player_4:RunTo(235, 236)
local monster_0 = CppScriptMgr:AddPlayer(285, 227, 164, "", 0, 0)
local monster_1 = CppScriptMgr:AddPlayer(295, 233, 189, "", 0, 0)
local monster_2 = CppScriptMgr:AddPlayer(338, 215, 178, "", 0, 0)
monster_0:RunTo(240, 157)
monster_1:RunTo(204, 199)
monster_2:RunTo(204, 199)
CppScriptMgr:WaitMilSec(310)
local effect_0 = CppScriptMgr:AddEffect("xidag_bafi", 226, 188, 33, 1, 1, 1)
local effect_3 = CppScriptMgr:AddEffect("nag_bom_ass", 219, 184, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(500)
local effect_1 = CppScriptMgr:AddEffect("xidag_bafi", 228, 171, 33, 1, 1, 1)
local effect_2 = CppScriptMgr:AddEffect("nag_bom_ass", 228, 171, 33, 1, 1, 1)
local effect_4 = CppScriptMgr:AddEffect("xidag_bafi", 228, 171, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(140)
local Effect_2 = CppScriptMgr:AddEffect("cyclonexian", 223, 173, 33, 1, 1, 1)
Effect_2:Scale(3, 3, 3)
CppScriptMgr:WaitMilSec(360)
local effect_5 = CppScriptMgr:AddEffect("zs_bengshanjgao", 213, 192, 33, 1, 1, 1)
local effect_6 = CppScriptMgr:AddEffect("xidag_bafi", 228, 171, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(500)
local effect_7 = CppScriptMgr:AddEffect("bombarrow", 226, 181, 33, 1, 1, 1)
local effect_8 = CppScriptMgr:AddEffect("pro_tir_assflo_coat01", 226, 181, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(140)
local Player_5 = CppScriptMgr:AddPlayer(950, 223, 173, "", 0, 0)
Player_5:SetDir(7)
Player_5:SetZoomPercent(150)
CppScriptMgr:WaitMilSec(360)
local effect_9 = CppScriptMgr:AddEffect("xidag_bafi", 228, 171, 33, 1, 1, 1)
local effect_10 = CppScriptMgr:AddEffect("pro_tir_assflo_coat01", 232, 175, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(640)
local effect_17 = CppScriptMgr:AddEffect("ride_screen", 223, 173, 33, 1, 1, 1)
Player_5:SetAction(401)
local Effect_1 = CppScriptMgr:AddEffect("pro_tir_assflo_coat01", 220, 181, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(360)
local effect_11 = CppScriptMgr:AddEffect("pro_tir_assflo_coat01", 231, 183, 33, 1, 1, 1)
local effect_12 = CppScriptMgr:AddEffect("xidag_bafi", 228, 171, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1140)
local effect_13 = CppScriptMgr:AddEffect("nag_bom_ass", 225, 118, 33, 1, 1, 1)
local effect_14 = CppScriptMgr:AddEffect("xidag_bafi", 228, 171, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(500)
local Effect_3 = CppScriptMgr:AddEffect("zf2-e235", 229, 181, 33, 1, 1, 1)
local Effect_4 = CppScriptMgr:AddEffect("zf2-e235", 226, 185, 33, 1, 1, 1)
local effect_15 = CppScriptMgr:AddEffect("xidag_bafi", 228, 171, 33, 1, 1, 1)
local effect_16 = CppScriptMgr:AddEffect("nag_bom_ass", 226, 189, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(500)
local Player_6 = CppScriptMgr:AddSimplePlayer(1056293, 229, 181, "Alice", 0, 0)
Player_6:SetDir(3)
local Player_7 = CppScriptMgr:AddSimplePlayer(1062593, 227, 183, "MadHatter", 0, 0)
Player_7:SetDir(3)
CppScriptMgr:WaitMilSec(890)
Player_6:SetAction(101)
CppScriptMgr:WaitMilSec(110)
CppScriptMgr:NpcCallOut("Insidious Jabba! I won`t let you ruin this place!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_Summer202305", 150, 430, "Alice", 250, 655, false)
CppScriptMgr:WaitMilSec(2000)
Player_5:Say("Growl!", 1000)
CppScriptMgr:WaitMilSec(1000)
Player_5:SetAction(401)
CppScriptMgr:WaitMilSec(960)
local Effect_5 = CppScriptMgr:AddEffect("ssch_wlhd_hit", 226, 178, 33, 1, 1, 1)
Player_7:Say("Alice!!!", 1000)
Player_7:JumpTo(226, 178)
CppScriptMgr:WaitMilSec(110)
Player_6:SetAction(483)
CppScriptMgr:WaitMilSec(540)
Player_7:SetAction(330)
CppScriptMgr:WaitMilSec(430)
Player_6:Say("MadHatter!!!", 1000)
Player_6:RunTo(228, 180)
CppScriptMgr:WaitMilSec(460)
Player_7:SetAction(331)
Player_7:SetFrameInterval(10000)
CppScriptMgr:WaitMilSec(440)
local Effect_6 = CppScriptMgr:AddEffect("zf2-e235", 231, 182, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(500)
local Player_8 = CppScriptMgr:AddSimplePlayer(1063943, 231, 182, "White Queen", 0, 0)
Player_8:SetDir(3)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:NpcCallOut("Jabba is more powerful! We cannot resist!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npcQiXiOldk", 150, 430, "White Queen", 250, 655, false)
Player_6:SetDir(7)
CppScriptMgr:WaitMilSec(1970)
Player_8:SetAction(102)
local Effect_7 = CppScriptMgr:AddEffect("mag_pro_rep", 229, 181, 33, 1, 1, 1)
local Effect_8 = CppScriptMgr:AddEffect("mag_pro_rep", 226, 178, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:NpcCallOut("Alice! Go find the dragon slayer to pull out the Holy Sword and save the Wonderland!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npcQiXiOldk", 150, 430, "White Queen", 250, 655, false)
CppScriptMgr:WaitMilSec(1600)
local effect_18 = CppScriptMgr:AddEffect("zf2-e233", 229, 181, 33, 1, 1, 1)
local effect_19 = CppScriptMgr:AddEffect("zf2-e233", 226, 178, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(660)
CppScriptMgr:ClearEffect(Effect_7)
CppScriptMgr:ClearEffect(Effect_8)
CppScriptMgr:WaitMilSec(290)
Player_6:SetHide(1)
Player_7:SetHide(1)
CppScriptMgr:WaitMilSec(450)